.a-playlist-card-container {
  position: relative;
  box-sizing: border-box;
  height: 100%;
  width: 100%;
  max-width: 250px;
  padding: .7rem;
  border-radius: $border-radius;
  background-color: $gray-card;
  box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.25);
  cursor: pointer;
  color: $text-color;
  overflow: hidden;
  list-style: none;
  text-decoration: none;


  &:hover {
    background-color: $gray-card-hover;
  }

  &:hover > .a-card-favorite {
    right: .5rem;
  }
}

.a-card-playlist__img {
  width: 100%;

  object-fit: cover;
  object-position: center;
  border-radius: $border-radius;

  @include fromMin($medium) {
    min-height: 150px;

	}
}

.text-wrapper {
  box-sizing: border-box;
  width: 100%;
  max-width: 100%;
  font-size: 14px;
/*   overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis; */

  h4 {
    margin: .5rem 0;

  }

  p {
    color: rgb(179, 179, 179);
    font-size: 12px;
    margin: 0;
  }
}

.a-card-favorite {
  transition: right .5s ease;
  position: absolute;
  bottom: .5rem;
  right: -50px;
  height: 50px;
  width: 50px;
  background-color: $primary;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;

  &:hover {
    background-color: $primary-light;
  }
}